[arch-commits] Commit in aarch64-linux-gnu-binutils/repos (4 files)

Anatol Pomozov anatolik at archlinux.org
Mon Sep 25 18:21:15 UTC 2017


    Date: Monday, September 25, 2017 @ 18:21:14
  Author: anatolik
Revision: 260577

archrelease: copy trunk to community-testing-i686, community-testing-x86_64

Added:
  aarch64-linux-gnu-binutils/repos/community-testing-i686/
  aarch64-linux-gnu-binutils/repos/community-testing-i686/PKGBUILD
    (from rev 260575, aarch64-linux-gnu-binutils/trunk/PKGBUILD)
  aarch64-linux-gnu-binutils/repos/community-testing-x86_64/
  aarch64-linux-gnu-binutils/repos/community-testing-x86_64/PKGBUILD
    (from rev 260576, aarch64-linux-gnu-binutils/trunk/PKGBUILD)

-----------------------------------+
 community-testing-i686/PKGBUILD   |   67 ++++++++++++++++++++++++++++++++++++
 community-testing-x86_64/PKGBUILD |   67 ++++++++++++++++++++++++++++++++++++
 2 files changed, 134 insertions(+)

Copied: aarch64-linux-gnu-binutils/repos/community-testing-i686/PKGBUILD (from rev 260575, aarch64-linux-gnu-binutils/trunk/PKGBUILD)
===================================================================
--- community-testing-i686/PKGBUILD	                        (rev 0)
+++ community-testing-i686/PKGBUILD	2017-09-25 18:21:14 UTC (rev 260577)
@@ -0,0 +1,67 @@
+# $Id$
+# Maintainer: Anatol Pomozov <anatol.pomozov at gmail.com>
+
+_target=aarch64-linux-gnu
+pkgname=$_target-binutils
+pkgver=2.29.1
+pkgrel=1
+#_commit=2bd25930
+pkgdesc='A set of programs to assemble and manipulate binary and object files for the ARM64 target'
+arch=(i686 x86_64)
+url='http://www.gnu.org/software/binutils/'
+license=(GPL)
+depends=(zlib)
+source=(ftp://ftp.gnu.org/gnu/binutils/binutils-$pkgver.tar.bz2{,.sig})
+sha1sums=('5156099a6c50bd330c3d4c8fc56a9bf725ccaf08'
+          'SKIP')
+validpgpkeys=('EAF1C276A747E9ED86210CBAC3126D3B4AE55E93'  # Tristan Gingold <gingold at adacore.com>
+              '3A24BC1E8FB409FA9F14371813FCEF89DD9E3C4F') # Nick Clifton (Chief Binutils Maintainer) <nickc at redhat.com>
+
+prepare() {
+  cd binutils-$pkgver
+  sed -i "/ac_cpp=/s/\$CPPFLAGS/\$CPPFLAGS -O2/" libiberty/configure
+}
+
+build() {
+  cd binutils-$pkgver
+
+  if [ "${CARCH}" != "i686" ];
+  then
+    # enabling gold linker at i686 makes the install fail
+    enable_gold='--enable-gold'
+  fi
+
+  ./configure --target=$_target \
+              --with-sysroot=/usr/$_target \
+              --prefix=/usr \
+              --disable-multilib \
+              --with-gnu-as \
+              --with-gnu-ld \
+              --disable-nls \
+              --enable-ld=default \
+              $enable_gold \
+              --enable-plugins \
+              --enable-deterministic-archives
+
+  make
+}
+
+check() {
+  cd binutils-$pkgver
+  
+  # unset LDFLAGS as testsuite makes assumptions about which ones are active
+  # do not abort on errors - manually check log files
+  make -k LDFLAGS="" check || true
+}
+
+package() {
+  cd binutils-$pkgver
+
+  make DESTDIR="$pkgdir" install
+
+  # Remove file conflicting with host binutils and manpages for MS Windows tools
+  rm "$pkgdir"/usr/share/man/man1/$_target-{dlltool,nlmconv,windres,windmc}*
+
+  # Remove info documents that conflict with host version
+  rm -r "$pkgdir"/usr/share/info
+}

Copied: aarch64-linux-gnu-binutils/repos/community-testing-x86_64/PKGBUILD (from rev 260576, aarch64-linux-gnu-binutils/trunk/PKGBUILD)
===================================================================
--- community-testing-x86_64/PKGBUILD	                        (rev 0)
+++ community-testing-x86_64/PKGBUILD	2017-09-25 18:21:14 UTC (rev 260577)
@@ -0,0 +1,67 @@
+# $Id$
+# Maintainer: Anatol Pomozov <anatol.pomozov at gmail.com>
+
+_target=aarch64-linux-gnu
+pkgname=$_target-binutils
+pkgver=2.29.1
+pkgrel=1
+#_commit=2bd25930
+pkgdesc='A set of programs to assemble and manipulate binary and object files for the ARM64 target'
+arch=(i686 x86_64)
+url='http://www.gnu.org/software/binutils/'
+license=(GPL)
+depends=(zlib)
+source=(ftp://ftp.gnu.org/gnu/binutils/binutils-$pkgver.tar.bz2{,.sig})
+sha1sums=('5156099a6c50bd330c3d4c8fc56a9bf725ccaf08'
+          'SKIP')
+validpgpkeys=('EAF1C276A747E9ED86210CBAC3126D3B4AE55E93'  # Tristan Gingold <gingold at adacore.com>
+              '3A24BC1E8FB409FA9F14371813FCEF89DD9E3C4F') # Nick Clifton (Chief Binutils Maintainer) <nickc at redhat.com>
+
+prepare() {
+  cd binutils-$pkgver
+  sed -i "/ac_cpp=/s/\$CPPFLAGS/\$CPPFLAGS -O2/" libiberty/configure
+}
+
+build() {
+  cd binutils-$pkgver
+
+  if [ "${CARCH}" != "i686" ];
+  then
+    # enabling gold linker at i686 makes the install fail
+    enable_gold='--enable-gold'
+  fi
+
+  ./configure --target=$_target \
+              --with-sysroot=/usr/$_target \
+              --prefix=/usr \
+              --disable-multilib \
+              --with-gnu-as \
+              --with-gnu-ld \
+              --disable-nls \
+              --enable-ld=default \
+              $enable_gold \
+              --enable-plugins \
+              --enable-deterministic-archives
+
+  make
+}
+
+check() {
+  cd binutils-$pkgver
+  
+  # unset LDFLAGS as testsuite makes assumptions about which ones are active
+  # do not abort on errors - manually check log files
+  make -k LDFLAGS="" check || true
+}
+
+package() {
+  cd binutils-$pkgver
+
+  make DESTDIR="$pkgdir" install
+
+  # Remove file conflicting with host binutils and manpages for MS Windows tools
+  rm "$pkgdir"/usr/share/man/man1/$_target-{dlltool,nlmconv,windres,windmc}*
+
+  # Remove info documents that conflict with host version
+  rm -r "$pkgdir"/usr/share/info
+}



More information about the arch-commits mailing list